Page 7 of 11

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 12:47 am
by mikerotec
Awesome, thanks! Deleting all the old SQL did the trick. (Unlike last time around, for some reason taking out "just the 1.7" was not enough).

QUESTION: Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 3:39 pm
by stuffdone
I asked but no reply yet. Where do I find this upgrade button? I have 2.5 sites to upgrade but the described button is nowhere to be found. In fact most of these tell me I have the latest version and no upgrade is needed??

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 4:21 pm
by conlippert
@stuffdone, are you saying there is no "Joomla Update" in the components dropdown? I had this trouble with one of the previous versions of Joomla 2.5 and had to add a menu item in the database. Here is the link for that discussion: http://forum.joomla.org/viewtopic.php?f=625&t=725317 and the documentation for adding it is here: https://docs.joomla.org/Joomla_Update_M ... Admin_Menu

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 4:34 pm
by stuffdone
conlippert wrote:@stuffdone, are you saying there is no "Joomla Update" in the components dropdown? I had this trouble with one of the previous versions of Joomla 2.5 and had to add a menu item in the database. Here is the link for that discussion: http://forum.joomla.org/viewtopic.php?f=625&t=725317 and the documentation for adding it is here: https://docs.joomla.org/Joomla_Update_M ... Admin_Menu
Not saying there is NO Joomla Update option, saying there is nothing in that option to update to 3x. This has been the case in every 2.5 site I have, not just one site. About 10 or so sites need updated.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 5:50 pm
by sovainfo
Suggest to use Extension manager->Update Purge Cache from the toolbar, returning to Joomla! Update with update server set to STS should show the update.

When not, suggest to use Extension manager->Install with a downloaded update. When that fails, extract it locally, move it to the webserver and use Install from directory.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 5:58 pm
by stuffdone
sovainfo wrote:Suggest to use Extension manager->Update Purge Cache from the toolbar, returning to Joomla! Update with update server set to STS should show the update.

When not, suggest to use Extension manager->Install with a downloaded update. When that fails, extract it locally, move it to the webserver and use Install from directory.
Will check that out. Don't want to manually because some of these have carts full of products and that would take me a week to move everything for a dozen sites.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 6:43 pm
by sovainfo
Manually updating is not supported. Extension manager->Install is NOT considered manually. Replacing the files without Extension manager->Install is considered manually. That would require quite a lot of work not described in detail anywhere.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 6:48 pm
by stuffdone
sovainfo wrote:Manually updating is not supported. Extension manager->Install is NOT considered manually. Replacing the files without Extension manager->Install is considered manually. That would require quite a lot of work not described in detail anywhere.
exactly which is why I need to find the automatic update button which I cannot seem to find.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 6:57 pm
by sovainfo
Why do you rule out Extension manager->Install ?

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Feb 13, 2015 8:56 pm
by stuffdone
I did not rule that out. I said I would look into that. I did not say instantly as in right now-today *smile*.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Mon Mar 02, 2015 1:05 pm
by sandvelder
I have done all the steps, and the only non-compatible component is Fox Contact. So I uninstalled it and ran the migration. It ran fine, but I cannot save anything on the site. No article, no changes to Custom HTML modules - nothing! I took the site off-line prior to the migration, and now I cannot save the configuration file after I attempted to "open" the site again.
I can thus not change any menu items either, so the Fox Contact is not coming back.
I have restored the J2.5 backup and ran the migration again, but I get the same results.
Any ideas?

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Mon Mar 02, 2015 3:10 pm
by leolam
No ideas unless I would be ale to see what is in the admin backend installed. This can be caused by any of the tiniest little plugins so sorry unless I have full access (follow my signature) I have no idea

Leo 8)

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Mon Mar 02, 2015 3:12 pm
by leolam
stuffdone wrote:I did not rule that out. I said I would look into that. I did not say instantly as in right now-today *smile*.
What an outdated configuration as shown in your signature .....

Leo 8)

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Tue Mar 03, 2015 8:51 am
by tiesgr
Hello,

Have you seen this error after migrating Error code: ERR_TOO_MANY_REDIRECTS and if so could you please help me from where to start to cope with that problem?

Thank you,

Nikos

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Tue Mar 03, 2015 9:10 am
by sovainfo

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Mar 06, 2015 8:37 am
by thierry_s
Nice guide, I wish it worked for me. All Sunday afternoon and two evenings wasted so far and unable to upgrade a simple site from 2.5.28 to 3.4. Before I make a decision to start from scratch can anyone assist? I have carried out all the pre-requisites but when you go to Joomla Update and select Short Term it still says no updates available. So, I then proceeded to install update package and this is the error I get:
Fatal error: Call to a member function get() on a non-object in ROOT/administrator/components/com_installer/controller.php on line 37
When you go to the site you get the 1054 Unknown column...... box appear.
I even removed AdminTools just in case this was causing any issues but no joy.
Any suggestions please.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Mar 06, 2015 5:43 pm
by ashard
I have an old client's site that is currently on Joomla v2.5.14, however when I switch to STS I still get no option to update, instead I receive the message:

No updates available
You already have the latest Joomla! version, 2.5.14.

Can you shed some light on this, I don't want to have to perform a complete manual update.

Thank you in advance for any suggestions/help offered.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Mar 06, 2015 6:57 pm
by sovainfo
Did you Purge Cache from the toolbar of Extension manager->Update?

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Mar 06, 2015 7:55 pm
by ashard
sovainfo wrote:Did you Purge Cache from the toolbar of Extension manager->Update?
Yes I cleared the browser cache and Joomla cache, still no update available.

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Mar 06, 2015 9:19 pm
by sovainfo
Confusing answer! Do you understand you need to go to Extension manager, tab Update and pick Purge Cache from the toolbar? That is what the question means.

Not related to any other way to clean Joomla oe browser cache, they are diffirent things!

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Thu Apr 09, 2015 7:58 am
by MaKo_lv
I have same problem. Cache is clearing and i still get:
"No updates available
You already have the latest Joomla! version"

May be there is some way, how to upgrade via FTP?

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Wed May 06, 2015 5:27 am
by charlesdavis
@sovainfo! You are really champions thanks for telling valid thing here...and from another users I am also telling please try to share genuine thing and full of information so that people can reply correctly...Thanks

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Thu Jul 02, 2015 6:54 am
by uzbaby
Hello everyone.

In Joomla docs about migration from J2.5 to J3 there is this text:

If you had data change on the 2.5 site while you were migrating to 3.x, you will want to get that data moved over to the 3.x site before going live. You can do this manually


Can naybody please help on HOW to do it mannualy...step by step pleaseeeeee

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Fri Jul 03, 2015 11:57 pm
by UYGHURMEN
Some extensions can not Update, because old version, message said.
And I not find that System Plugin "Remember Me" where it is?
And After I change Joomla Update Option to STS, in Joomla Upda not shown Joomla 3.x
There are error message, such as:
Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/collection.php(101) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/collection.php(101) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/collection.php(101) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/extension.php(38) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/collection.php(101) : eval()'d code on line 1

Warning: Creating default object from empty value in /home/eynekbiz/public_html/libraries/joomla/updater/adapters/collection.php(101) : eval()'d code on line 1
No updates available
You already have the latest Joomla! version, 2.5.6.
Right now how can I do?

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Sat Jul 04, 2015 12:06 am
by UYGHURMEN
If I install Joomla 3.4 from my server site cpanel install button, And can restore All my articles from backup?

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Mon Jul 06, 2015 11:38 am
by Webdongle
You need to disable the 'Remember me' plugin before migrating

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Wed Jul 08, 2015 7:30 pm
by UYGHURMEN
Webdongle wrote:You need to disable the 'Remember me' plugin before migrating
Where is this "Remember Me"?

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Sat Aug 01, 2015 12:24 pm
by Wayne Webb
Any thoughts on why after selecting "Short Term Support," clearing the site and browser cache and clicking on Components > Joomla Update why I can not upgrade? After following these steps the update from 2.5.28 to 3.3 (or greater) does not show in Joomla Update. It says I have the latest, greatest version, 2.5.28..

Cordially,
A. Wayne Webb

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Thu Aug 06, 2015 4:13 pm
by leolam
Wayne, did you follow all steps I outlined? (and J2.5.28 is definitely not the greatest version...current J3.3.4 is for sure) http://forum.joomla.org/viewtopic.php?f=710&t=793171 Once all issues covered you can also install through the external url-installer: https://github.com/joomla/joomla-cms/re ... ackage.zip.

Use this only if you have

a) created a backup before doing anything and download the backup)
b) followed all the steps as outlined in my (mini) tutorial)

Leo 8)

Re: Practical Guide Upgrade Joomla 2.5 to Joomla 3.x

Posted: Sat Aug 08, 2015 10:47 am
by Wayne Webb
Morning Leo,

Please accept my apology for not replying sooner. I have been out of town.

I followed your guide (thank you for it) and everything is fine until I get to Step 5: Update Joomla 2.5 to Joomla 3.x!. My hosting provider meets the requirements, I've cleared the system and browser caches and disabled the Remember Me plugin. I also set the Joomla Update Configuration to Short Term Support.

The system states You already have the latest Joomla! version, 2.5.28.

I would gladly give you access to the back end to see if this can be resolved. As for any extensions, I will remove and / or update them after the Joomla upgrade.

Cordially,
A. Wayne Webb

[Update] On another install (Joomla! 2.5.19 to 2.5.28) I do not even see Components > Joomla! Upgrade as an option. IF I manually input <my site>/administrator/index.php?option=com_joomlaupdate into the URL it comes up with a double Error loading component: com_joomlaupdate, 1 and states I have the latest version, 2.5.28. Options is set to Short Term Support.

I have a total of 3 sites, all on the same hosting service, needing upgrading to Joomla! 3.x.

Update #2] On site #2 I finally was able to update to J! 3.4.x. After running it comes up with Fatal error: require_once(): Failed opening required '/homepages/15/d243440181/htdocs/books/site1DScomponentsDScom_jvotesystemDSclassesDSloader.php' (include_path='.:/usr/lib/php5.4') in /homepages/15/d243440181/htdocs/books/site1/plugins/system/jvotesystemdatabase/jvotesystemdatabase.php on line 31. The site will not let me in so I will have to Kickstart from a backup and remove JVoteSystem.